Skip to main content
`Ctrl`+`K`

# PetscLayoutSetISLocalToGlobalMapping

sets a `ISLocalGlobalMapping` into a `PetscLayout`

## Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutSetISLocalToGlobalMapping(PetscLayout in, ISLocalToGlobalMapping ltog)

Collective

## Input Parameters

- in - input `PetscLayout`

- ltog - the local to global mapping

## Notes

`PetscLayoutSetUp()` does not need to be called on the resulting `PetscLayout`

If the `PetscLayout` already contains a `ISLocalGlobalMapping` it is destroyed

## See Also

PetscLayout, `PetscLayoutCreate()`, `PetscLayoutDestroy()`, `PetscLayoutSetUp()`, `PetscLayoutDuplicate()`

## Level

developer

## Location

src/vec/is/utils/pmap.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages